org.richfaces.component

## Enum UIDataGrid.Properties

- java.lang.Object
- - java.lang.Enum<UIDataGrid.Properties>
  - - org.richfaces.component.UIDataGrid.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDataGrid.Properties>
  Enclosing class:
    UIDataGrid

      protected static enum UIDataGrid.Properties
      extends Enum<UIDataGrid.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `columnClasses`
    `elements`
    `footerClass`
    `headerClass`
    `rowClasses`
    `rows`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDataGrid.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDataGrid.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### columnClasses

          public static final UIDataGrid.Properties columnClasses

    - #### elements

          public static final UIDataGrid.Properties elements

    - #### footerClass

          public static final UIDataGrid.Properties footerClass

    - #### headerClass

          public static final UIDataGrid.Properties headerClass

    - #### rowClasses

          public static final UIDataGrid.Properties rowClasses

    - #### rows

          public static final UIDataGrid.Properties rows

    - #### style

          public static final UIDataGrid.Properties style

    - #### styleClass

          public static final UIDataGrid.Properties styleClass

    - #### title

          public static final UIDataGrid.Properties title

  - ### Method Detail

    - #### values

          public static UIDataGrid.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDataGrid.Properties c : UIDataGrid.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDataGrid.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.